Subject: [bug#73429] closed (Re: [bug#73429] [PATCH v2 0/3] Update LibreWolf to 130.0.1-1 & nss-rapid to 3.104 [security fixes])

From: John Kehayias <[email-masked]>
Date: Fri, 27 Sep 2024 03:46:41 +0000

Hi Ian and Andrew,

On Tue, Sep 24, 2024 at 07:13 AM, GNU bug Tracking System wrote:

> Your bug report
>
> #73429: [PATCH 0/3] Update LibreWolf to 130.0.1-1 & nss-rapid to 3.104 [security fixes]
>
> which was filed against the guix-patches package, has been closed.
>
> The explanation is attached below, along with your original report.
> If you require more details, please reply to [email-masked].
>
> --
> 73429: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73429
> GNU Bug Tracking System
> Contact [email-masked] with problems
>
> From: Andrew Tropin <[email-masked]>
> Subject: Re: [bug#73429] [PATCH v2 0/3] Update LibreWolf to 130.0.1-1 &
>  nss-rapid to 3.104 [security fixes]
> To: Ian Eure <[email-masked]>, [email-masked]
> Cc: André Batista <[email-masked]>, [email-masked],
>  [email-masked], Ian Eure <[email-masked]>
> Date: Tue, 24 Sep 2024 11:11:19 +0400 (2 days, 20 hours, 27 minutes ago)
>
> On 2024-09-23 07:47, Ian Eure wrote:
>
>> v2 corrects a bug with make-librewolf-source which I should have caught.
>>
>> Ian Eure (3):
>>   gnu: nss-rapid: Update to 3.104.
>>   gnu: librewolf: Update to 130.0.1-1.  [security fixes]
>>   gnu: librewolf-source: Turn into a procedure.
>>
>>  gnu/packages/librewolf.scm | 62 +++++++++++++++++++++-----------------
>>  gnu/packages/nss.scm       |  4 +--
>>  2 files changed, 36 insertions(+), 30 deletions(-)
>
> Hi Ian!
>
> Thank you for the updates and improvements.  It looks good to me, pushed as
> https://git.savannah.gnu.org/cgit/guix.git/commit/?id=8888f930ad9b2494a23e88019284266a1b1b2bb0
>
> --
> Best regards,
> Andrew Tropin
>

Thank you both for your work here! However, two quick minor notes:

> ----------
>
> From: Ian Eure <[email-masked]>
> Subject: [PATCH 0/3] Update LibreWolf to 130.0.1-1 & nss-rapid to 3.104
>  [security fixes]
> To: [email-masked]
> Cc: André Batista <[email-masked]>, [email-masked],
>  [email-masked], Ian Eure <[email-masked]>
> Date: Sun, 22 Sep 2024 13:51:40 -0700
> Date: Sun, 22 Sep 2024 13:51:40 -0700 (4 days, 6 hours, 47 minutes ago)
>
> Updates both packages to the current versions.  Also, removes some unneeded code, fixes hardware video acceleration, and lightly refactors how source tarballs are built.  Please see the individual patches for more info.
>
> Ian Eure (3):
>   gnu: nss-rapid: Update to 3.104.
>   gnu: librewolf: Update to 130.0.1-1.  [security fixes]

Perhaps this (130.0.1-1 update) should have been a few different
commits, though I wasn't sure if some were tied to the version update as
well. Just a reminder to separate out individual changes, though of
course if they are needed as part of a single fix/update they would go
together. I only mention because there was reference to other submitted
patches for hardware acceleration.

Also, from the diff the 'neuter-genai had some dangling parens. I didn't
check if that was what made it in the commit, but if someone has a
chance for that minor cosmetic fix that would be great.

Thanks again! Looking forward to trying out librewolf finally.
John

>   gnu: librewolf-source: Turn into a procedure.
>
>  gnu/packages/librewolf.scm | 62 +++++++++++++++++++++-----------------
>  gnu/packages/nss.scm       |  4 +--
>  2 files changed, 36 insertions(+), 30 deletions(-)